using System.ComponentModel;
using System.Xml.Serialization;

namespace BallotTemplates
{
    public abstract class BallotTemplatePageAbstract : ObjectWithProperties
    {
        
        private string _sourcePath;


        
        
        
        
        
        
        [Browsable(false)]
        [XmlIgnore]
        public string FileName { get; set; }

        
        
        
        [XmlElement("sourcePath")]
        [Description("The image that this template is based off")]
        public string SourcePath
        {
            get => _sourcePath;
            set
            {
                _sourcePath = value;
                OnPropertyChange("SourcePath");
            }
        }

        
        
        
        [XmlElement("adjustmentFields", Type = typeof(AdjustmentFields))]
        public AdjustmentFields AdjustmentFields { get; set; } = new AdjustmentFields();
        
        [XmlElement("writeInFields", Type = typeof(WriteInFields))]
        public WriteInFields WriteInFields { get; set; } = new WriteInFields();


    }
}
